import * as $dara from '@darabonba/typescript';
import { VpcDescribeVpcNatGatewayNetworkInterfaceQuotaResponseBody } from "./VpcDescribeVpcNatGatewayNetworkInterfaceQuotaResponseBody";
export declare class VpcDescribeVpcNatGatewayNetworkInterfaceQuotaResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: VpcDescribeVpcNatGatewayNetworkInterfaceQuotaResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
